#include "led.h"
#include "HAL_device.h"


void JTAG_Set(u8 mode)
{
    u32 temp;
    temp = mode;
    temp <<= 25;
    RCC->APB2ENR |= RCC_APB2RSTR_AFIORST;
    AFIO->MAPR &= 0XF8FFFFFF;
    AFIO->MAPR |= temp;
}

void LED_Init(void)
{
    RCC->APB2ENR |= RCC_APB2ENR_IOPAEN; //RCC->APB2ENR|=1<<2;
    RCC->APB2ENR |= RCC_APB2ENR_IOPBEN; //RCC->APB2ENR|=1<<3;
    RCC->APB2ENR |= RCC_APB2ENR_AFIOEN; //RCC->APB2ENR|=1<<3;
    JTAG_Set(SWD_ENABLE);

    GPIOA->CRH |= GPIO_CRH_MODE15;       //GPIOA->CRH|=0x30000000;
    GPIOA->ODR |= GPIO_ODR_ODR15;          // GPIOA->ODR|=1<<15;

    GPIOB->CRL |= GPIO_CRL_MODE3 | GPIO_CRL_MODE4 | GPIO_CRL_MODE5;
    GPIOB->ODR |= GPIO_ODR_ODR3 | GPIO_ODR_ODR4 | GPIO_ODR_ODR5;

    LED1 = 1;
    LED2 = 1;
    LED3 = 1;
    LED4 = 1;
}

